#
# spec file for package fam (Version 2.6.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         fam
Copyright:    GPL
Group:        System Environment/Daemons
Summary:      file alternation monitoring daemon
Version:      2.6.4
Release:      147
Source0:      fam-oss-%{version}.tar.bz2
Source2:      init.fam
Source3:      rc.config.fam
Patch0:       fam-oss-%{version}.dif
Patch1:       client.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
The daemon reports changes in the filesystem to user level applications.
You may want to use the kernel inode monitor patch (imon) to reduce the
load on your system.

Authors:
--------
    Bruce Karsh
    Bob Miller
    SGI corp.

SuSE series: ap

%prep
%setup -n fam-oss-%{version}
%patch0 -p0
%patch1 -p1

%build
%{?suse_update_config:%{suse_update_config -f . }}
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -D_GNU_SOURCE " \
 ./configure \
  --prefix=/usr \
  --mandir=/usr/share/man/ \
  --sysconfdir=/etc/
  
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install
mkdir -p "$RPM_BUILD_ROOT"/usr/sbin
mv "$RPM_BUILD_ROOT"/usr/bin/fam "$RPM_BUILD_ROOT"/usr/sbin/fam
#
# Install fam init script
mkdir -p $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 744 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/fam
ln -sf ../../etc/init.d/fam $RPM_BUILD_ROOT/usr/sbin/rcfam
#
# Install rc.config template
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/var/adm/fillup-templates/

%post
#!/bin/bash
echo -n "Updating etc/rc.config... "
if [ -x bin/fillup ] ; then
    bin/fillup -q -d "=" etc/rc.config var/adm/fillup-templates/rc.config.fam
    echo "Done."
else
    echo
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "etc/rc.config and var/adm/fillup-templates/rc.config.kdm and"
    echo "update manually."
fi
sbin/insserv etc/init.d/fam

%postun
sbin/insserv etc/init.d

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   rm -rf $RPM_BUILD_ROOT
fi

%files
%doc COPYING AUTHORS INSTALL.rpm ChangeLog INSTALL TODO README NEWS util/editconf/editconf.perl
%dir /usr/lib/fam
%{_sbindir}/fam
%{_sbindir}/rcfam
%config(noreplace) /etc/fam.conf
/etc/init.d/fam
/var/adm/fillup-templates/rc.config.fam
/usr/include/fam.h
/usr/lib/libfam.a
/usr/lib/libfam.la
/usr/lib/libfam.so
/usr/lib/libfam.so.0
/usr/lib/libfam.so.0.0.0
/%{_mandir}/man1/fam.1m.gz
/%{_mandir}/man3/fam.3x.gz

%changelog -n fam
* Tue Aug 07 2001 - adrian@suse.de
- fix start script to be LSB conform
* Tue Jun 12 2001 - schwab@suse.de
- Fix missing declarations.
- Fix type of main.
* Mon Apr 09 2001 - adrian@suse.de
- disable imon support. (we need more testing for this kernel patch)
* Sat Mar 17 2001 - adrian@suse.de
- drop binarys in /usr/share/doc/packages/fam
* Thu Feb 08 2001 - ro@suse.de
- fixed to compile
* Thu Feb 08 2001 - adrian@suse.de
- add #include <string.h> for compile with gcc 2.96
* Wed Jan 31 2001 - adrian@suse.de
- added start script
  added rc.config start setting (default no)
  use patch from Waldo to fix symbol clash with kwin
  enable imon support (fam fallback to polling, if the kernel do
  not support imon)
* Mon Aug 28 2000 - adrian@suse.de
- inital package for the fam daemon
  *** since there is no imon support inside our kernel, it does not
  reduce any load on a single machine !
